# Development

- [Local development](https://docs.saaster.io/development/local-development.md): Get a local saaster development environment running
- [Folder structure](https://docs.saaster.io/development/folder-structure.md): The folder structure of saaster
- [Application.cfc](https://docs.saaster.io/development/folder-structure/application.cfc.md): Information regarding the Application.cfc in saaster
- [Develop with saaster](https://docs.saaster.io/development/develop-with-saaster.md): Guide to help you get started developing with saaster
- [General services](https://docs.saaster.io/development/develop-with-saaster/general-services.md)
- [Mappings and rigths management](https://docs.saaster.io/development/develop-with-saaster/general-services/mappings-and-rigths-management.md): Explanation how to manage the rights regarding mappings and permissions
- [Redirects](https://docs.saaster.io/development/develop-with-saaster/general-services/redirects.md): Summary on how redirects work in saaster
- [Customer specific sessions](https://docs.saaster.io/development/develop-with-saaster/general-services/customer-specific-sessions.md)
- [Global variable "getCustomerData"](https://docs.saaster.io/development/develop-with-saaster/general-services/global-variable-getcustomerdata.md)
- [Global functions](https://docs.saaster.io/development/develop-with-saaster/global-functions.md): Functions that are globally available through the application
- [getTrans()](https://docs.saaster.io/development/develop-with-saaster/global-functions/gettrans.md): Global function getTrans()
- [getAlert()](https://docs.saaster.io/development/develop-with-saaster/global-functions/getalert.md): Global function getAlert()
- [logWrite()](https://docs.saaster.io/development/develop-with-saaster/global-functions/logwrite.md): Global function logWrite()
- [getTime()](https://docs.saaster.io/development/develop-with-saaster/global-functions/gettime.md): Global function getTime()
- [Developing the main application](https://docs.saaster.io/development/develop-with-saaster/developing-the-main-application.md): Guide on how to develop your own main application inside saaster
- [Developing modules](https://docs.saaster.io/development/develop-with-saaster/developing-modules.md): Guide on how to develop modules for saaster


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saaster.io/development.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
